## ros-indigo-pr2-map-navigation-app 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_map_navigation_app)
find_package(catkin REQUIRED COMPONENTS pr2_position_scripts pr2_navigation_teleop pr2_navigation_perception amcl pr2_machine pr2_navigation_global pr2_navigation_config tf topic_tools map_store)

#generate_messages(
#    #TODO DEPENDENCIES geometry_msgs std_msgs
#)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS  pr2_position_scripts pr2_navigation_teleop pr2_navigation_perception amcl pr2_machine pr2_navigation_global pr2_navigation_config tf mongodb topic_tools map_store# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(FILES amcl_node.xml map_nav.app map_nav.interface map_nav.launch pr2_2dnav.launch map.jpg DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-map-navigation-app (1.0.2-0trusty) trusty; urgency=high

  * Fixes
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-map-navigation-app
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), mongodb, ros-indigo-amcl, ros-indigo-catkin, ros-indigo-map-store, ros-indigo-pr2-machine, ros-indigo-pr2-navigation-config, ros-indigo-pr2-navigation-global, ros-indigo-pr2-navigation-perception, ros-indigo-pr2-navigation-teleop, ros-indigo-pr2-position-scripts, ros-indigo-tf, ros-indigo-topic-tools
Homepage: http://ros.org/wiki/map_nav
Standards-Version: 3.9.2

Package: ros-indigo-pr2-map-navigation-app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mongodb, ros-indigo-amcl, ros-indigo-map-store, ros-indigo-pr2-machine, ros-indigo-pr2-navigation-config, ros-indigo-pr2-navigation-global, ros-indigo-pr2-navigation-perception, ros-indigo-pr2-navigation-teleop, ros-indigo-pr2-position-scripts, ros-indigo-tf, ros-indigo-topic-tools
Description: Map nav for the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-map-navigation-app//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
